@echo off
if exist cfg\starforce.cfg move cfg\starforce.cfg cfg\starforce.bak
if exist hi\starforce.hi move hi\starforce.hi hi\starforce.bak
if exist nvram\starforce.nv move nvram\starforce.nv nvram\starforce.bak
if exist diff\starforce.dif move diff\starforce.dif diff\starforce.bak

mame starforce -record starforce.inp %3 %4 %5 %6 %7 %8 %9 -nvram_directory NUL

if exist cfg\starforce.bak move cfg\starforce.bak cfg\starforce.cfg
if exist hi\starforce.bak move hi\starforce.bak hi\starforce.hi
if exist nvram\starforce.bak move nvram\starforce.bak nvram\starforce.nv
if exist diff\starforce.bak move diff\starforce.bak diff\starforce.dif
